Home page logo
/

bugtraq logo Bugtraq mailing list archives

hdweGUEST <= 2.1.1 Cross Site Scripting Vulnerabilities
From: tamriel () gmx net
Date: 18 Jul 2006 19:13:01 -0000

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

      Advisory: hdweGUEST <= 2.1.1 Cross Site Scripting Vulnerabilities
  Release Date: 2006/07/18
 Last Modified: 2006/07/18
        Author: Tamriel [tamriel at gmx dot net]
   Application: hdweGUEST 2.1.1
          Risk: Low
 Vendor Status: contacted | no reply | no patch available
   Vendor Site: www.huttenlocher-webdesign.de

 Overview:

   Quote from www.huttenlocher-webdesign.de

   "hwdeGUEST ist ein Gaestebuch geschrieben in PHP. Es bietet dem 
    Betreiber eine Vielzahl von Moeglichkeiten"


 Details:

      In the new_entry.php are some possible cross site scripting
      vulnerabilities.

      This can be used to insert malicious code that will be executed
      on the client's machine.

      All user inputs are not checked by the script, only in this lines
      (arround line 250-255)

      ...

      $username=trim($username);
      $usernachricht=trim($usernachricht);
      if($GLOBALS[html_allowed]==0)
        {$usernachricht=strip_tags($usernachricht);}

      ...

      and the mail input is checked by this function:
      (arround line 70-80)

      ...

      if(strstr($adresse,"@"))
         {
            $temp_adresse=explode("@",$adresse);
            if(strstr($temp_adresse[1],"."))
               {
                  if(strlen($adresse)<8)
                     {return false;}
                     else
                        {return true;}
               }
                else
                   {return false;}
         }

      ...


 Proof of Concept:

      Insert HTML/JS Code like "<u>name</u>" into the name input field 
      on "new entry" page.


 Solution/Note:

      It is strongly recommended to update your script by yourself.
      Use the htmlentities() function and replace some insecure functions
      like the checke_email()'s one with proper code.

 Greets:

      Greets fly out to all people at bluegeek.de

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3

iD8DBQFEvUFbqBhP+Twks7oRAuMvAJ9DVq0ByFhWguU4iss8V3Z2mzk9KACfTp/u
ZjypE373XsBXJW4HJNURdHc=
=Q3xe
-----END PGP SIGNATURE-----


  By Date           By Thread  

Current thread:
  • hdweGUEST <= 2.1.1 Cross Site Scripting Vulnerabilities tamriel (Jul 19)
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]